Name: gutenprint
Version: 5.0.0
Release: alt0.2

Summary: GIMP print plugin and ghostscript driver for high-quality image printing
Group: Publishing
License: GPL
Requires: ghostscript lib%name
Url: http://gimp-print.sourceforge.net/

Source: http://gimp-print.sourceforge.net/%name-%version.tar
Patch:  gimp-print-4.2.7-alt-ru.patch

Packager: L.A. Kostis <lakostis@altlinux.org>

BuildRequires(pre): libcups-devel >= 1.2.1

# Automatically added by buildreq on Fri May 07 2004
BuildRequires: flex foomatic-db-engine libcups-devel libijs-devel libjpeg-devel libncurses-devel libpng-devel libreadline-devel libssl-devel libtiff-devel zlib-devel
# for ui package
BuildRequires: libgtk+2-devel
# gimp2 plugin
BuildRequires: gimp2 libgimp2-devel
# only for cvs build
#BuildRequires: docbook-utils tetex-core tetex-dvips

Provides:  gimp-print = %version
Obsoletes: gimp-print <= 4.2.7

%def_disable static

%package -n lib%name
Summary: Shared library for high-quality image printing
Group: Publishing
Provides: libgimp-print = %version
Obsoletes: libgimp-print

%package -n lib%name-devel
Summary: Headers and links for compiling against libgutenprint
Group: Development/C
Requires: lib%name = %version-%release
Provides: libgimp-print-devel = %version
Obsoletes: libgimp-print-devel

%package -n lib%name-devel-static
Summary: Static libraries for compiling against libgutenprint
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: libgimp-print-devel-static = %version
Obsoletes: libgimp-print-devel-static

%package plugin
Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
Requires: gimp2, %name = %version-%release
Provides: gimp-print-plugin

%package foomatic
Summary: foomatic stuff for %name
Group: Publishing
Requires: %name = %version-%release
PreReq: foomatic-db-engine >= 3.0.1
PreReq: printer-drivers-utils
Obsoletes: gimp-print-foomatic
Provides: gimp-print-foomatic = %version

%package CUPS
Summary: CUPS's PPDs for %name
Group: Publishing
Requires: %name = %version-%release
PreReq: printer-drivers-utils
Obsoletes: gimp-print-CUPS
Provides: gimp-print-CUPS = %version

%package ijs                                                                                                          
Summary: %name IJS plugin for GhostScript                                                                        
Requires:  ghostscript >= 7.05                                                                                   
Requires:  %name = %version-%release                                                            
Group:     Publishing

%description
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

This package contains common files for %name.

%description -n lib%name
This is a high-quality printing library used by the GIMP-Print plugin,
the "stp" color/photo inkjet/laser driver in GhostScript, and by
specialized CUPS drivers.

%description -n lib%name-devel
These are the links and header files to compile applications which should
use the libgutenprint library.

%description -n lib%name-devel-static
static libraries for %name

%description plugin
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

%description foomatic
Drivers for foomatic

%description CUPS
Drivers for CUPS

%description ijs                                                                                                      
This package contains a Gutenprint plugin for GhostScripts IJS                                                        
interface. This gives access to the high printing quality of                                                          
Gutenprint with every GhostScript version containing the IJS                                                          
interface. Install also the gutenprint-foomatic package for easy setup                                                
of print queues with arbitrary printing systems.

%prep
%setup -q -n %name-%version

#%%patch -p1

#foomatic kitload hack
%__subst 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.am
%__subst 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.in
cp /usr/sbin/foomatic-kitload src/foomatic
%__subst 's@die \"No \\\$libdir.*@@' src/foomatic/foomatic-kitload
%__subst 's@.*unless \$libdir.*@\$libdir="%buildroot%_datadir/foomatic";@' src/foomatic/foomatic-kitload

%build
# MDK comment:
# Build with all pipes and whistles: GIMP, GhostScript, CUPS, IJS, Foomatic,
# but without translated PPD files (does not work)
%__automake
%configure --enable-shared \
	   --disable-rpath \
	   --enable-escputil \
	   --enable-libgutenprintui2 \
	   --without-gimp \
	   --with-gimp2 \
	   --with-gimp2-as-gutenprint \
	   --with-cups \
	   --with-ijs \
	   --with-foomatic \
	   --with-foomatic3 \
	   --enable-cups-level3-ppds \
	   --disable-translated-cups-ppds \
	   --disable-cups-level3-ps \
	   --disable-static-genppd \
	   %{subst_enable static}
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/foomatic/db/source


#Install the files
%makeinstall GIMPTOOL=$RPM_BUILD_DIR/%name-%version/fakedgimptool\
    cups_conf_serverbin=$RPM_BUILD_ROOT%_prefix/lib/cups\
    cups_conf_datadir=$RPM_BUILD_ROOT%_datadir/cups cups_conf_serverroot=$RPM_BUILD_ROOT%_sysconfdir/cups\
    gimp_plug_indir=\
    gimp2_plug_indir=$RPM_BUILD_ROOT%_libdir/gimp/2.0/plug-ins\
    FOOMATIC_KITLOAD=./foomatic-kitload

#mv $RPM_BUILD_ROOT%_datadir/cups/model/%name/5.0/C $RPM_BUILD_ROOT%_datadir/cups/model/%name

%find_lang %name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%post foomatic
/usr/bin/update-printers-db

%post CUPS
/usr/bin/update-printers-db

%files -f %name.lang
%doc ABOUT-NLS AUTHORS ChangeLog NEWS README doc/FAQ.html doc/gutenprint-users-manual*
%_bindir/escputil
%_bindir/testpattern
%_datadir/gutenprint/%version

%_mandir/man?/*
%exclude %_man8dir/cups-*
%exclude %_man1dir/ijsgutenprint.1*

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/gutenprint
%_libdir/%name/%version/modules/*.so

%files -n lib%name-devel
%doc samples doc/developer doc/gutenprint doc/gutenprintui2
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif #static

%files foomatic
%_datadir/foomatic/db/*

%files CUPS
%_bindir/cups-*
%_sbindir/cups-*
%_sysconfdir/cups/command.*
%_libdir/cups/backend/*
%_libdir/cups/filter/*
%_datadir/cups/model/%name
%_datadir/cups/calibrate.ppm
%_man8dir/cups-*

%files ijs                                                                                                            
%_man1dir/ijsgutenprint.1*                                                                                      
%_bindir/ijsgutenprint*

%files plugin
%_libdir/gimp/2.0/plug-ins/%name

%changelog
* Mon Nov 27 2006 L.A. Kostis <lakostis@altlinux.ru> 5.0.0-alt0.2
- add correct obsoletes for upgrade from gimp-print.

* Sun Sep 03 2006 L.A. Kostis <lakostis@altlinux.ru> 5.0.0-alt0.1
- update to gutenprint (TODO update ru translation).
- add -ijs subpackage and restore gimp plugin.
- update cups subpackage.
- update BuildRequires for -ui and gimp2.
- use gimp-print as initial .spec.

* Fri May 26 2006 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt4
- rebuild with cups-1.2

* Fri Mar 24 2006 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt3
- rebuild with new ijs

* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.7-alt2.1.1
- Rebuilt with libreadline.so.5.

* Wed Jun 29 2005 Anton D. Kachalov <mouse@altlinux.org> 4.2.7-alt2.1
- multilib hack

* Fri Jan 28 2005 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt2
- added update-printers-db in post script

* Wed Sep 22 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.7-alt1
- 4.2.7

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.6-alt2.1.1.1
- Rebuilt with libtiff.so.4.

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.6-alt2.1.1
- Rebuilt with openssl-0.9.7d.

* Fri May 07 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt2.1
- rebuild without plugin for old gimp

* Fri Apr 02 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt2
- added russian translation by Valia V. Vaneeva

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt1
- final

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt0.2
- gimp-print-foomatic requires latest foomatic (>=3.0.1) (was changes id's in xml files)

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 4.2.6-alt0.1
- 4.2.6-pre2

* Tue Sep 30 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt3
- fix building in hasher

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt2
- Apply patch for foomatic database (from MDK)

* Thu Feb 27 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.5-alt1
- 4.2.5

* Thu Jan 09 2003 Stanislav Ievlev <inger@altlinux.ru> 4.2.4-alt1
- update to latest stable

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.2-alt1
- 4.2.2
- port to subst from 'perl -pi'

* Wed Jun 26 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt3
- Enable IJS driver

* Tue Jun 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.1-alt2
- resurrected foomatic files

* Tue Apr 02 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt7
- Added two patches from MDK (to use drivers for more printers and 
  support for small papers on Epson Stylus Pro printers)

* Wed Feb 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt6
- Buildreq updated

* Tue Feb 19 2002 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt5
- added patch.

* Wed Feb 13 2002 AEN <aen@logic.ru> 4.2.0-alt4
- rebuilt with new gimp

* Mon Dec 17 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt3
- added requires to gimp-print-foomatic

* Mon Dec 10 2001 Stanislav Ievlev <inger@altlinux.ru> 4.2.0-alt2
- added buildreqs, fix docs

* Thu Nov 15 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt6
- rc1

* Tue Sep 25 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt5
- b2

* Thu Sep 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt4
- new snapshot.

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt3
- Splited again: common files (filters,docs); CUPS only drivers, foomatic only drivers.

* Fri Aug 10 2001 AEN <aen@logic.ru> 4.1.99-alt2
- added plugin package
- a2

* Mon Aug 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt1
- Initial release for ALT Linux.
- Now we are splitting cups-drivers into separate packages.
